# Uses of Class
org.eclipse.mat.snapshot.SnapshotFormat

Packages that use SnapshotFormat
Package
Description
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.util
Input/output utilities for the parser component (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of SnapshotFormat in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return types with arguments of type SnapshotFormat
Modifier and Type
Method
Description
`List<SnapshotFormat>`
SnapshotFactoryImpl.`getSupportedFormats()`

## Uses of SnapshotFormat in org.eclipse.mat.parser.internal.util

Methods in org.eclipse.mat.parser.internal.util that return SnapshotFormat
Modifier and Type
Method
Description
`SnapshotFormat`
ParserRegistry.Parser.`getSnapshotFormat()`
Constructors in org.eclipse.mat.parser.internal.util with parameters of type SnapshotFormat
Modifier
Constructor
Description
``
`DynamicParser(IConfigurationElement configElement, SnapshotFormat snapshotFormat, Pattern[] pattern)`

## Uses of SnapshotFormat in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return types with arguments of type SnapshotFormat
Modifier and Type
Method
Description
`static List<SnapshotFormat>`
SnapshotFactory.`getSupportedFormats()`
Get the types of the parsers.
`List<SnapshotFormat>`
SnapshotFactory.Implementation.`getSupportedFormats()`
Show which parsers the factory handles